Subject: Re: bug#24229: 25.1; Can't set EPA program

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Aug 2016 17:13:30 +0300

> From: Daiki Ueno <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 18 Aug 2016 09:14:27 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> So, we really need to take account of user's intention here; check
> >> whether the variable set by user or it is the default value.  With
> >> 'setq' it is not possible to have such distinction.
> >
> > Doesn't Customize provide some functions that allow such a
> > distinction?  The Customize UI surely is able to tell when a variable
> > was "changed not through Customize", isn't that what you want?
> 
> This is what we are currently doing, and the bug is saying that it
> should be done without Customize.  It doesn't make sense to me though.

What I meant is that Customize does have a way of telling that a value
was changed using setq, so evidently there's some infrastructure for
that which you could use.  Am I missing something?